Bug 429510 - Missing French translation in Share right-click menu in Dolphin
Summary: Missing French translation in Share right-click menu in Dolphin
Status: RESOLVED FIXED
Alias: None
Product: frameworks-purpose
Classification: Unclassified
Component: general (show other bugs)
Version: 5.75.0
Platform: Mageia RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-22 16:19 UTC by Aurélien Oudelet (auroud85_fr)
Modified: 2020-11-23 18:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.77
aoudelet: Translation_missing+


Attachments
Share context menu in Dolphin not translated (75.21 KB, image/png)
2020-11-22 16:19 UTC, Aurélien Oudelet (auroud85_fr)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aurélien Oudelet (auroud85_fr) 2020-11-22 16:19:08 UTC
Dolphin 20.08.3 (Version in Mageia 8 our devel version Cauldron)
has a "Share" contextual menu for files.

When French is system and user main language, that menu is still in English but it was previously available in French under Dolphin 19.04 (in Mageia 7).

STEPS TO REPRODUCE
1. Locale=fr.FR_UTF-8
2. Open Dolphin 20.08.3 in French
3. Right-click on a file, point to "Partager"
4. See menu that appears to be still in English.

OBSERVED RESULT
Share menu is in English.

EXPECTED RESULT
Share menu is in French.

SOFTWARE/OS VERSIONS
Operating System: Mageia 8
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.9.9-desktop-1.mga8
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-6600K CPU @ 3.50GHz
Memory: 15.6 Gio of RAM
Graphics Processor: GeForce GTX 1660 Ti/PCIe/SSE2
Comment 1 Aurélien Oudelet (auroud85_fr) 2020-11-22 16:19:53 UTC
Created attachment 133568 [details]
Share context menu in Dolphin not translated
Comment 2 Luigi Toscano 2020-11-22 19:01:17 UTC
I can see the same issue with Italian, but the strings come from the Purpose framework. And I can reproduce it in other users of Purpose (Okular, Spectacle). Reassigning to Purpose.
Comment 3 Bug Janitor Service 2020-11-22 20:14:39 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/purpose/-/merge_requests/20
Comment 4 Nicolas Fella 2020-11-23 00:46:27 UTC
Git commit 58da2fb19d2e52b8f2d3c9d6d5019ca78c30815c by Nicolas Fella.
Committed on 22/11/2020 at 20:04.
Pushed by apol into branch 'master'.

Read translated plugin action label

M  +2    -1    src/alternativesmodel.cpp

https://invent.kde.org/frameworks/purpose/commit/58da2fb19d2e52b8f2d3c9d6d5019ca78c30815c